# pxlrace.mak - Make file for pxlrace.c
# Version 1.0.0
# Copyright (C) 2003-2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

#     Free Software Foundation, Inc.
#     59 Temple Place - Suite 330
#     Boston, MA  02111-1307, USA.

OBJ = rnd.obj \
      rndpwr.obj \
      rndnum.obj \
      rndinit.obj \
      getmd5.obj \
      md5c.obj \
      pxlrace.res \
      pxlrace.obj

LDFLAGS = $(GUILIBS)

pxlrace.exe : $(OBJ)
   $(LINKER) $(GUIFLAGS) $(OBJ) -OUT:pxlrace.exe $(LDFLAGS)

pxlrace.obj :   pxlrace.c  pxlrace.rc
   $(CC) $(CFLAGS) pxlrace.c

pxlrace.res :   pxlrace.rc  pxlrace.ico
   $(RC) $(RCVARS) pxlrace.rc

rndnum.obj:     rndnum.c
   $(CC) $(CFLAGS) rndnum.c

rndpwr.obj:     rndpwr.c
   $(CC) $(CFLAGS) rndpwr.c

rnd.obj:        rnd.c
   $(CC) $(CFLAGS) rnd.c

rndinit.obj:    rndinit.c
   $(CC) $(CFLAGS) rndinit.c

getmd5.obj:     getmd5.c
   $(CC) $(CFLAGS) getmd5.c

md5c.obj:       md5c.c
   $(CC) $(CFLAGS) md5c.c

clean:
   erase pxlrace.res
   erase pxlrace.obj
   erase pxlrace.exe
   erase rnd.obj
   erase rndinit.obj
   erase rndnum.obj
   erase rndpwr.obj
   erase getmd5.obj
   erase md5c.obj
